rte_gre.h(3)

NAME
rte_gre.h

SYNOPSIS

#include <stdint.h>
#include <rte_byteorder.h>

  Data Structures

struct rte_gre_hdr
struct rte_gre_hdr_opt_checksum_rsvd
struct rte_gre_hdr_opt_key
struct rte_gre_hdr_opt_sequence

Detailed Description

GRE headers definition.

Generic Routing Encapsulation (GRE) is a tunneling protocol that can encapsulate a wide variety of network layer protocols inside virtual point-to-point links or point-to-multipoint links over an Internet Protocol network.

Definition in file rte_gre.h.

Author

Generated automatically by Doxygen for DPDK from the source code.